Subject: Re: A Question about SIP

From: [email-masked]
Date: Fri, 24 Jul 98 21:35:44 +0900

Jonathan, 
thank you for your response.

As far as I think No. 2 with a different reason phrase, such as "Alternate Server"
is a fairy good idea.

Think of actual environment this phrase should be always used in this specific situation
so that a caller may be notified by message saying such as "redirected to 
alternative server".  But this is different from getting a message saying
"moved temporary", so I think it is reasonable and no misunderstanding.

My request for this is the phrase should be one in Status code 3xx. 

We can think of different approaches, such like No.1, No. 3...
But "Alternate Server" status code is straightforward  and not ambiguous.

Many thanks.

Hiroaki Takagi.

>[email-masked] wrote:
>[email-masked] wrote:
>> 
>
>> Question:
>> In this environment I think of 3 ways to redirect the calls to the secondary SIP proxy.
>> 
>> 1. Register 2 firewalls to DNS.
>>    A caller client could find out available SIP proxy based on the preference values of DNS resource records.
>>   But ICMP does not say "Port Unreachable" for the main firewall.
>>   So I do not know how the client knows the main SIP proxy is busy.
>>   This method is based on description on page 11.
>
>I think a better way to do load sharing here would be to set the SRV
>records to have equal preference, and rely on round robining from the
>DNS server to (roughly) distribute the load equally across both proxies.
>This won't work as an overload mechanism, of course. Even in light loads
>both servers will get half the requests.
>
>> 
>> 2. Use 302 Moved temporally message for the response of INVITE message.
>>   The client surely knows which proxy can guide it to the callee.
>>   However I think this is not adequate because the callee is not moved in this case. I just want
>> to have the client use the secondary proxy.
>>   This method is based on description on page 13.
>
>I think this works fine. The fact that the callee has not actually moved
>seems irrelevant. You could just use a different reason phrase if you
>like, such as "Alternate Server".
>
>
>
>> 
>> 3. Use 503 Service Unavailable message with alternative server address for the response of INVITE message.
>>   I think the meaning of the response is correct but I do not know the 503 can convey Location header.
>>   If it can convey the header, does that mean there is an alternative server you can try ?
>>   This method is based on description on page 52.
>
>I don't think this is the right approach, as the intention with this
>response is that you should recontact the same server later on.
>
>> 
>> Please let me know which one is correct way to do this.
>> Am I missing something ?
>
>There is no one right answer. Usage of a 300 response code or DNS work
>fine. As an additional alternative, you could just proxy the request
>from the busy server to the secondary server. This way, the usage of the
>extra server is hidden from the caller (unlike the 300 case).
>
>-Jonathan R.
>
>
>-- 
>Jonathan D. Rosenberg                       Lucent Technologies
>Member of Technical Staff                   101 Crawfords Corner Rd.
>High Speed Networks Research                Holmdel, NJ 07733
>FAX:   (732) 834-5379                       Rm. 4C-526
>EMAIL: [email-masked]
>URL: http://www.cs.columbia.edu/~jdrosen

+---------------------------------------------+
 Hiroaki Takagi
 Iwatsu Electric Co., Ltd.
 Software Development Dept.

 Address: 7-41, Kugayama 1-Chome Suginami-ku, 
          Tokyo, Japan
 Phone:  +81-3-5370-5239 FAX:+81-3-5370-5193
 Email:  [email-masked]
+---------------------------------------------+